import { JSONWebToken } from 'jolocom-lib/js/interactionTokens/JSONWebToken';
import { PaymentRequest } from 'jolocom-lib/js/interactionTokens/paymentRequest';
import { ThunkDispatch } from '../../store';
import { RootState } from '../../reducers';
import { BackendMiddleware } from '../../backendMiddleware';
import { PaymentRequestSummary } from './types';
/**
 * @dev Given that this functionality might be deprecated soon (at least in it's current form),
 * the payment interactions were not integrated with the {@link InteractionManager}
 */
export declare const consumePaymentRequest: (paymentRequest: JSONWebToken<PaymentRequest>, isDeepLinkInteraction?: boolean) => (dispatch: ThunkDispatch, getState: () => RootState, backendMiddleware: BackendMiddleware) => Promise<void | import("redux").AnyAction>;
export declare const sendPaymentResponse: (isDeepLinkInteraction: boolean, paymentDetails: PaymentRequestSummary) => (dispatch: ThunkDispatch, getState: () => RootState, backendMiddleware: BackendMiddleware) => Promise<void | import("redux").AnyAction>;
