import { DecoratedClaims } from 'src/reducers/account';
/**
 * @dev Some basic predefined filters, if required they can be removed
 * and the filtering / ordering construction functions can be exposed instead
 */
export declare const filters: {
    filterByExpired: (list: DecoratedClaims[]) => DecoratedClaims[];
    filterByValid: (list: DecoratedClaims[]) => DecoratedClaims[];
    filterByIssuer: (did: string) => (list: DecoratedClaims[]) => DecoratedClaims[];
    filterByType: (typ: string) => (list: DecoratedClaims[]) => DecoratedClaims[];
    documentFilter: (documentTypes: string[]) => (list: DecoratedClaims[]) => DecoratedClaims[];
};
