import { SignedCredential } from 'jolocom-lib/js/credentials/signedCredential/signedCredential';
import { ISignedCredentialAttrs } from 'jolocom-lib/js/credentials/signedCredential/types';
import { PersonaEntity } from './personaEntity';
import { SignatureEntity } from './signatureEntity';
import { CredentialEntity } from './credentialEntity';
export declare class VerifiableCredentialEntity {
    _context: any;
    id: string;
    type: string;
    name: string;
    issuer: string;
    issued: Date;
    expires: Date;
    subject: PersonaEntity;
    proof: SignatureEntity[];
    claim: CredentialEntity[];
    static fromJSON(json: ISignedCredentialAttrs): VerifiableCredentialEntity;
    static fromVerifiableCredential(vCred: SignedCredential): VerifiableCredentialEntity;
    toVerifiableCredential(): SignedCredential;
}
