import { AnyAction } from 'redux';
import { Notification, NotificationFilter } from 'src/lib/notifications';
export declare const SCHEDULE_NOTIFICATION = "SCHEDULE_NOTIFICATION";
export declare const REMOVE_NOTIFICATION = "REMOVE_NOTIFICATION";
export declare const SET_ACTIVE_NOTIFICATION = "SET_ACTIVE_NOTIFICATION";
export declare const CLEAR_NOTIFICATIONS = "CLEAR_NOTIFICATIONS";
export declare const SET_ACTIVE_FILTER = "SET_ACTIVE_FILTER";
export interface NotificationsState {
    queue: Notification[];
    active: Notification | null;
    activeExpiryTs?: number;
    activeFilter: NotificationFilter;
}
export declare const notificationsReducer: (state: NotificationsState | undefined, action: AnyAction) => NotificationsState;
