import { routeList } from '../routeList';
import { ErrorCode, initErrorReporting, reportError } from './errors/index';
export { ErrorCode, initErrorReporting, reportError };
export declare class AppError extends Error {
    origError: any;
    navigateTo: routeList;
    code: ErrorCode;
    constructor(code?: ErrorCode, origError?: any, navigateTo?: routeList);
}
export declare const errorTitleMessages: string[];
