/**
 * This file contains polyfills for various things that are somehow coupled
 * with react-native. This is meant to be used as a polyfill for running the
 * backendMiddleware and redux store under node
 */
import { BackendMiddleware } from 'src/backendMiddleware';
import { RootState } from 'src/reducers';
export declare function initStore(): {
    backendMiddleware: BackendMiddleware;
    dispatch: import("redux").Dispatch<RootState>;
    getState(): RootState;
    subscribe(listener: () => void): import("redux").Unsubscribe;
    replaceReducer(nextReducer: import("redux").Reducer<RootState>): void;
};
