declare const _default: {
    type: string;
    database: string;
    location: string;
    logging: string[];
    entities: string[];
    migrations: string[];
    migrationsRun: boolean;
    synchronize: boolean;
    cli: {
        migrationsDir: string;
    };
};
/**
 * NOTE: This config is used by the Storage class (src/lib/storage/storage) but
 * `migrations` and `entities` are replaced with lists of actual migration and
 * entity classes.
 *
 * New migrations and entities should be added to `migration/index.ts` and
 * `entities/index.ts` respectively
 *
 */
export default _default;
